cURL
curl --request GET \
--url https://us.api.flexprice.io/v1/alerts/setting/{id} \
--header 'x-api-key: <api-key>'from flexprice import Flexprice
with Flexprice(
api_key_auth="<YOUR_API_KEY_HERE>",
) as f_client:
res = f_client.alert_settings.get_alert_settings(id="<id>")
# Handle response
print(res)import { Flexprice } from "@flexprice/sdk";
const flexprice = new Flexprice({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await flexprice.alertSettings.getAlertSettings("<id>");
console.log(result);
}
run();package main
import(
"context"
flexprice "github.com/flexprice/go-sdk/v2"
"log"
)
func main() {
ctx := context.Background()
s := flexprice.New(
flexprice.WithSecurity("<YOUR_API_KEY_HERE>"),
)
res, err := s.AlertSettings.GetAlertSettings(ctx, "<id>")
if err != nil {
log.Fatal(err)
}
if res.AlertSettingsResponse != nil {
// handle response
}
}{
"config": {
"alert_enabled": true,
"alert_threshold_type": "absolute",
"critical": {
"condition": "above",
"threshold": "<string>"
},
"info": {
"condition": "above",
"threshold": "<string>"
},
"warning": {
"condition": "above",
"threshold": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"enabled": true,
"entity_id": "<string>",
"entity_type": "wallet",
"environment_id": "<string>",
"id": "<string>",
"parent_entity_id": "<string>",
"parent_entity_type": "<string>",
"status": "published",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}AlertSettings
Get alert settings
Fetch a single alert setting by id.
GET
/
alerts
/
setting
/
{id}
cURL
curl --request GET \
--url https://us.api.flexprice.io/v1/alerts/setting/{id} \
--header 'x-api-key: <api-key>'from flexprice import Flexprice
with Flexprice(
api_key_auth="<YOUR_API_KEY_HERE>",
) as f_client:
res = f_client.alert_settings.get_alert_settings(id="<id>")
# Handle response
print(res)import { Flexprice } from "@flexprice/sdk";
const flexprice = new Flexprice({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await flexprice.alertSettings.getAlertSettings("<id>");
console.log(result);
}
run();package main
import(
"context"
flexprice "github.com/flexprice/go-sdk/v2"
"log"
)
func main() {
ctx := context.Background()
s := flexprice.New(
flexprice.WithSecurity("<YOUR_API_KEY_HERE>"),
)
res, err := s.AlertSettings.GetAlertSettings(ctx, "<id>")
if err != nil {
log.Fatal(err)
}
if res.AlertSettingsResponse != nil {
// handle response
}
}{
"config": {
"alert_enabled": true,
"alert_threshold_type": "absolute",
"critical": {
"condition": "above",
"threshold": "<string>"
},
"info": {
"condition": "above",
"threshold": "<string>"
},
"warning": {
"condition": "above",
"threshold": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"enabled": true,
"entity_id": "<string>",
"entity_type": "wallet",
"environment_id": "<string>",
"id": "<string>",
"parent_entity_id": "<string>",
"parent_entity_type": "<string>",
"status": "published",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Alert Settings ID
Response
OK
Show child attributes
Show child attributes
Available options:
wallet, feature, subscription, subscription_line_item, group, entitlement_grant Available options:
published, deleted, archived 
